@import '@styles/_variables';
@import '@styles/mixins';

button.btn-rnr {
    border: 1px solid;
    border-radius: 8px;
    &.btn-type-primary {
        @include buttonType($primary-violet, $primary-violet, $white);
    }
    &.btn-type-secondary {
        @include buttonType($secondary-violet, $secondary-violet, $primary-violet);
    }
    &.btn-type-info {
        @include buttonType($transparent, $transparent, $primary-violet);
    }
    &.btn-type-light {
        @include buttonType($white, $primary-gray, $text-color);
    }
    &.btn-type-danger {
        @include buttonType($primary-red, $primary-red, $white);
    }

    &.btn-size-xl {
        @include buttonSize(155px, 60px, 18px);
    }
    &.btn-size-lg {
        @include buttonSize(128px, 48px, 16px);
    }
    &.btn-size-md {
        @include buttonSize(124px, 44px, 16px);
    }
    &.btn-size-sm {
        @include buttonSize(109px, 40px, 14px);
    }
    &.btn-size-xs {
        @include buttonSize(105px, 36px, 14px);
    }
}